import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (c, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? v(t, s) : t, p = c.length - 1, i; p >= 0; p--)
    (i = c[p]) && (e = (o ? i(t, s, e) : i(e)) || e);
  return o && e && m(t, s, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--note", this.class = "c-pieIcon c-pieIcon--note", this.name = "IconNote";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--note"><path d="M15 7.344H1v1.312h14V7.344Z"></path><path d="M11.5 11.719H1v1.312h10.5V11.72Z"></path><path d="M15 2.969H1V4.28h14V2.97Z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = n([
  f("icon-note")
], r);
export {
  r as IconNote
};
